Skip to main content
GET
/
exchanges
Exchanges List with Data
curl --request GET \
  --url https://api.coingecko.com/api/v3/exchanges \
  --header 'x-cg-demo-api-key: <api-key>'
[
  {
    "id": "gdax",
    "name": "Coinbase Exchange",
    "year_established": 2012,
    "country": "United States",
    "description": "A leading U.S.-based exchange known for its regulatory compliance, user-friendly interface, and support for fiat-to-crypto transactions.",
    "url": "https://www.coinbase.com/",
    "image": "https://coin-images.coingecko.com/markets/images/23/small/Coinbase_Coin_Primary.png?1706864258",
    "has_trading_incentive": false,
    "trust_score": 10,
    "trust_score_rank": 1,
    "trade_volume_24h_btc": 13692.36253111657
  },
  {
    "id": "binance",
    "name": "Binance",
    "year_established": 2017,
    "country": "Cayman Islands",
    "description": "One of the world's largest cryptocurrency exchanges by trading volume.",
    "url": "https://www.binance.com/",
    "image": "https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274",
    "has_trading_incentive": false,
    "trust_score": 10,
    "trust_score_rank": 2,
    "trade_volume_24h_btc": 95140.00808634966
  }
]
Only exchanges with active trading volume on CoinGecko are included. Inactive or deactivated exchanges are removed from the list.

SDK Examples

const response = await client.exchanges.get();

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-demo-api-key
string
header
required

Query Parameters

per_page
number

Total results per page. Default: 100. Valid values: 1...250

page
number

Page through results. Default: 1

Response

200 - application/json

List of exchanges with data

id
string
required

Exchange ID

name
string
required

Exchange name

year_established
number | null
required

Year the exchange was established

country
string | null
required

Country where the exchange is based

description
string
required

Exchange description

url
string
required

Exchange website URL

image
string
required

Exchange logo URL

has_trading_incentive
boolean
required

Whether the exchange has trading incentive

trust_score
number | null
required

Exchange trust score

trust_score_rank
number | null
required

Exchange trust score rank

trade_volume_24h_btc
number
required

Exchange 24h trading volume in BTC